Package be.fgov.ehealth.hubservices.core.v2

# Class TherapeuticExclusionHistorySelectType

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.TherapeuticExclusionSelectType
be.fgov.ehealth.hubservices.core.v2.TherapeuticExclusionHistorySelectType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class TherapeuticExclusionHistorySelectType extends TherapeuticExclusionSelectType implements Serializable

Java class for TherapeuticExclusionHistorySelectType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TherapeuticExclusionHistorySelectType">
       <complexContent>
         <extension base="{http://www.ehealth.fgov.be/hubservices/core/v2}TherapeuticExclusionSelectType">
           <sequence>
             <element name="begindate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="enddate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TherapeuticExclusionHistorySelectType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getBegindate()`
  begin of the selected time period
  `Instant`
  `getEnddate()`
  end of the selected time period
  `void`
  `setBegindate(Instant value)`
  Sets the value of the begindate property.
  `void`
  `setEnddate(Instant value)`
  Sets the value of the enddate property.

  ### Methods inherited from class be.fgov.ehealth.hubservices.core.v2.TherapeuticExclusionSelectType

  `getHcparty, getPatient, setHcparty, setPatient`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TherapeuticExclusionHistorySelectType

    public TherapeuticExclusionHistorySelectType()

- ## Method Details

  - ### getBegindate

    public Instant getBegindate()
    begin of the selected time period
    Returns:
      possible object is `String`

  - ### setBegindate

    public void setBegindate(Instant value)
    Sets the value of the begindate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getBegindate()`

  - ### getEnddate

    public Instant getEnddate()
    end of the selected time period
    Returns:
      possible object is `String`

  - ### setEnddate

    public void setEnddate(Instant value)
    Sets the value of the enddate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEnddate()`